<!DOCTYPE html>
<!--HTML based on https://www.w3schools.com/howto/howto_css_blog_layout.asp-->
<html>
    <head>
        <title>CA4106 Group 7</title>
        <link href="../style.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div class="header">
        <h2>Group 7 - CA4106 Blogs</h2>
        </div>
        <div class="row">
            <div class="leftcolumn">
                <div class="card">
                    <h2>Research and Planning</h2>
                    <h5>Blog 1, 24 March, 2020</h5>
                    <p>Claire has a working sql database on her computer, she is looking into getting it uploaded onto a website such as google cloud engine, where the database can be altered and data entered.</p>
					<p>Cailean is also working on getting an sql database working. Using google cloud platform to build the database and then deploying it to a website where it can be interacted with.</p>
					<p>Both Claire and Cailean are working on getting some form of database operational before deciding to go with one solution and designing the web front that will be used to interact with the database.</p>
                </div>
                <div class="card">
                    <h2>Research and Connecting databases</h2>
                    <h5>Blog 2, 06 April, 2020</h5>
                    <p>Over the last 2 weeks our team has been researching different kinds of web front end to database applications.</p>
					<p>We organised a meeting to discuss all the different options for our app and we came to the decision to build a CRUD(Create, read, update and delete) web application which could be used to keep track of stock for a store.</p> 
					<p>We decided to use PHP to develop the front end web appication.</p>
					<p>Claire & Cailean researched and followed different tutorials on how to connect to Cloud SQL from MYSQL as they had set up databases on here already. Claire successfully connected to the Cloud SQL.</p>
					<p>Catrina & Vilius have started work on a presentaion template</p>
				</div>
				<div class="card">
					<h2>PHP website updating database</h2>
                    <h5>Blog 3, 12 April, 2020</h5>
                    <p>This week Claire has developed a basic CRUD front end web app in PHP.</p>
					<p>The front end app is updating, deleting and inserting records to the database successfully.</p> 
					<p>The web app will be sent onto Cailean for styling</p>
					<p>The team has been researching tutorials on how to deploy web apps on google app engine and how to connect the deployed web app to cloud SQL.</p>
					<p>We will all attempt to deploy the web app to have the best chance at success.</p>
					<p>Catrina & Vilius have continued working on the presentation.</p>
                </div>
                <div class="card">
					<h2>Connecting front-end and testing</h2>
                    <h5>Blog 4, 20 April, 2020</h5>
                    <p>This week we managed to complete the main part of the project. We have a database for a warehouse where you can add items, deleted items and edit items from a web front-end.</p>
                    <p>Claire deployed the cloud SQL instance to google app engine connected it to the app frontend which is also deployed on google app engine. Cailean has been working on the CSS for the app.</p>
                    <p>We have all performed a lot of testing on the app to make sure that the app performs as expected.</p>
                    <p>As the app is now completed Vilius and Catrina can complete the presentation over the next few days.</p>
                </div>
                <div class="card">
					<h2>Final Work</h2>
                    <h5>Blog 5, 23 April, 2020</h5>
                    <p>During the final few days before submitting our project Vilius and Catrina created the presentation.</p>
                    <p>Claire and Catrina filmed a demonstration of the back-end and front-end of our CA4106 Project.</p>
                    <p>Vilius and Cailean recorded a video presenting the presentation of our project.</p>
                    <p>We completed a final test to make sure everyone could access the application and update,delete and add new stock items. Claire checked to see if the system was working correctly.</p>
                    <p>We also held a meeting to make sure all of the correct files were uploaded to Gitlab and decided on who would be tasked with the final submission of our project.<p>
                </div>
            </div>
        </div>
        <div class="footer">
          <a href="https://catrina.carrigan4.gitlab.io/group7-ca4106-ca4017-blogs/">Home</a>
          <a href="https://gitlab.com/catrina.carrigan4/group7-ca4106-ca4017-blogs">Blog Repository</a>
        </div>
    </body>
</html>
